Status: Closed

Priority: Normal

Assignee: Alessandro Pasotti

Category: Project Loading/Saving

Affected QGIS version:3.2.1 Regression?: No

Operating System: Ubuntu 18.04 LTS Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 27470

Description

Modifying an already existing project name in the Project Properties | General dialog is very awkward due to a small bug:

    1. you select the part of the already existing name you want changed, let's say it is in the middle of the old title

    2. you begin typing the new name

    3. > the first character deletes/replaces the selected part of the previous name

    4. BUT the cursor is now at the end of the title instead of staying where it belonged (in the middle of the title)

Not a big one, but very annoying.

I am using the very last version of QGis (1edf372, downloaded this morning)

Associated revisions

Revision b57afa47 - 2018-08-20 09:20 PM - Alessandro Pasotti 

[bugfix] Focus jumps at eol after replacing in the middle of the string

Fixes #19643 : bug modifying name of the project

Revision e466294c - 2018-08-21 02:49 AM - Alessandro Pasotti 

[bugfix] Focus jumps at eol after replacing in the middle of the string

Fixes #19643 : bug modifying name of the project

(cherry-picked from b57afa47)

History

#1 - 2018-08-19 10:49 AM - Giovanni Manghi

- Category changed from Actions to Project Loading/Saving

#2 - 2018-08-20 04:07 PM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

- Status changed from Open to In Progress

#3 - 2018-08-20 04:10 PM - Alessandro Pasotti

PR https://github.com/qgis/QGIS/pull/7661
#4 - 2018-08-20 09:19 PM - Anonymous

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|b57afa47edab279e855a193a5067e59874d5f08d.

#5 - 2018-08-21 11:38 AM - Giovanni Manghi

- Resolution set to fixed/implemented

2025-06-13 2/2


